Bug 1309396 - chrony is not installed during kickstart installation
Summary: chrony is not installed during kickstart installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Konecny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-17 16:38 UTC by Jiri Konecny
Modified: 2016-03-26 18:14 UTC (History)
4 users (show)

Fixed In Version: anaconda-24.13.1-1 anaconda-24.13.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 18:14:51 UTC


Attachments (Terms of Use)

Description Jiri Konecny 2016-02-17 16:38:33 UTC
Description of problem:
chrony is not installed during kickstart installation even when an NTP server is specified in the kickstart file:

timezone Europe/Prague --ntpservers=2.rhel.pool.ntp.org

Tested on Server variant, where the default package set is minimal.


Version-Release number of selected component (if applicable):
anaconda-24.12-1

How reproducible:
always

Steps to Reproduce:
1. create a kickstart file containing the following commands:

timezone Europe/Prague --ntpservers=2.rhel.pool.ntp.org
%packages --default
%end

2. run the installation, use Server variant
3. check if chrony is installed and running

Actual results:
chrony is not installed and time is not synchronized

Expected results:
chrony is installed and enabled on installed system

Comment 1 Jiri Konecny 2016-02-17 16:41:25 UTC
When chrony will be removed in packages section explicitly but the timezone will be there. 

timezone Europe/Prague --ntpservers=2.rhel.pool.ntp.org

%packages
-chrony
%end

Then the chrony package won't be installed.

Comment 2 Chris Lumens 2016-02-17 16:48:35 UTC
Please make sure we check for this in kickstart-tests, too.  Thanks!

Comment 3 Jiri Konecny 2016-02-22 14:39:30 UTC
PR: https://github.com/rhinstaller/anaconda/pull/517

Comment 4 Jan Kurik 2016-02-24 15:25:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Jiri Konecny 2016-02-24 15:57:02 UTC
It's also pushed to master where the next version should be anaconda-25.1-1.

Comment 6 Fedora Update System 2016-03-09 16:31:59 UTC
anaconda-24.13.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d85d9ad927

Comment 7 Fedora Update System 2016-03-10 01:54:57 UTC
anaconda-24.13.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d85d9ad927

Comment 8 Fedora Update System 2016-03-26 18:14:37 UTC
anaconda-24.13.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.